Raspberry pi 4 won't update in TM

I am trying to connect a pi 4 to TM for display. The downloaded flashed image from vextm.dwabtech.com says “TM Update Required!” in the lower right corner of my display. Lower left says “20200327225720”. In TM displays, when I try to update the display software, it errors. Saying check the connection. Any ideas? Help please.